com.amazon.redshift.jdbc

## Class MetadataAPIHelper.ShowSchemasInfo

- java.lang.Object
- - com.amazon.redshift.jdbc.MetadataAPIHelper.ShowSchemasInfo

Enclosing class:
  MetadataAPIHelper

    public static class MetadataAPIHelper.ShowSchemasInfo
    extends Object

Data container for schema metadata returned by the SHOW SCHEMAS command.

This class represents a single schema entry with its associated database name. Used by JDBC metadata methods like getSchemas() to provide structured access to schema information instead of raw result set data.

See Also:
  `DatabaseMetaData.getSchemas()`, `DatabaseMetaData.getSchemas(String, String)`, `MetadataServerProxy.getSchemas(String, String, boolean)`

### Constructor Summary

Constructors
Constructor and Description
`ShowSchemasInfo(String schemaName)`
`ShowSchemasInfo(String databaseName, String schemaName)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getDatabaseName()`
`String` `getSchemaName()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ShowSchemasInfo

    public ShowSchemasInfo(String databaseName,
                           String schemaName)

#### ShowSchemasInfo

    public ShowSchemasInfo(String schemaName)

### Method Detail

#### getDatabaseName

    public String getDatabaseName()

#### getSchemaName

    public String getSchemaName()